<?php

namespace App\Entities;

class NotificationType extends BaseEntity
{
    /**
     * @var int Identificador único del tipo de notificación.
     */
    public int $type_id;

    /**
     * @var string Nombre del tipo de notificación.
     */
    public string $type_name;

    /**
     * @var string|null Descripción del tipo de notificación.
     */
    public ?string $description;

    /**
     * Obtiene el nombre de la clave primaria de la entidad.
     *
     * @return string
     */
    public static function getPrimaryKey(): string
    {
        return "type_id";
    }
}
