<?php

namespace App\Entities;

class Frequency extends BaseEntity
{
    /**
     * @var int Identificador único de la frecuencia.
     */
    public int $frequency_id;

    /**
     * @var string Nombre de la frecuencia.
     */
    public string $frequency_name;

    /**
     * @var string|null Descripción de la frecuencia.
     */
    public ?string $description;

    /**
     * Obtiene el nombre de la clave primaria de la entidad.
     *
     * @return string
     */
    public static function getPrimaryKey(): string
    {
        return "frequency_id";
    }
}
